[GitHub] [camel-quarkus] brunotitata opened a new issue #870: camel-quarkus-aws-sns failing to compile image-native

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

[GitHub] [camel-quarkus] brunotitata opened a new issue #870: camel-quarkus-aws-sns failing to compile image-native

GitBox
brunotitata opened a new issue #870: camel-quarkus-aws-sns failing to compile image-native
URL: https://github.com/apache/camel-quarkus/issues/870
 
 
   **Describe the bug**
   I'm trying to compile an SMS sending project using the `camel-quarkus-aws-sns` dependencies, but when I compile the project for native image using the quarkus` command ./mvnw clean package: dev -Pnative`, there are some WARNING of `java-sdk` messages on the console and lock the terminal, even needing to restart the computer. Removing the `camel-quarkus-aws-sns` dependency, the project is successfully compiled without any errors!
   
   I am using Java 11 with GraalVM CE 20.0.6
   
   
   **Actual behavior**
   I have the version of Quarkus 1.2.1.Final
   ```
    <properties>
    <compiler-plugin.version>3.8.1</compiler-plugin.version>
    <maven.compiler.parameters>true</maven.compiler.parameters>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
    <quarkus-plugin.version>1.2.1.Final</quarkus-plugin.version>
    <quarkus.platform.artifact-id>quarkus-universe-bom</quarkus.platform.artifact-id>
    <quarkus.platform.group-id>io.quarkus</quarkus.platform.group-id>
    <quarkus.platform.version>1.2.1.Final</quarkus.platform.version>
    <surefire-plugin.version>2.22.1</surefire-plugin.version>
    </properties>
   ```
   with the dependency on the project
   ```
    <dependency>
    <groupId>org.apache.camel.quarkus</groupId>
    <artifactId>camel-quarkus-aws-sns</artifactId>
    </dependency>
   ```
   
   
   **To Reproduce**
   `./mvnw clean package: dev -Pnative`
   
    ![image text](https://i.ibb.co/LY0JGMX/Captura-de-Tela-2020-03-07-a-s-13-56-29.png)
   
   **Configuration**
   ```properties
   quarkus.datasource.driver=org.postgresql.Driver
   quarkus.datasource.url=jdbc:postgresql://localhost:5432/sms-quarkus?createDatabaseIfNotExist=true
   quarkus.datasource.username=postgres
   quarkus.datasource.password=postgres
   quarkus.log.console.enable=true
   quarkus.hibernate-orm.database.generation=update
   quarkus.hibernate-orm.log.sql=false
   
   quarkus.http.port=8080
   
   aws.accesskey=-------
   aws.secretkey=--------
   aws.region=us-east-1
   ```
   
   AWSConfiguration.java
   ```
   @ApplicationScoped
   public class AWSConfiguration {
   
       @ConfigProperty(name = "aws.accesskey")
       String accessKey;
   
       @ConfigProperty(name = "aws.secretkey")
       String secretKey;
   
       @ConfigProperty(name = "aws.region")
       String region;
   
       @Produces
       public AmazonSNS aws() {
           return AmazonSNSClientBuilder.standard().withRegion(Regions.fromName(region))
                   .withCredentials(new AWSStaticCredentialsProvider(new BasicAWSCredentials(accessKey, secretKey)))
                   .build();
       }
   
   ```
   
   **Environment (please complete the following information):**
    - Output of `uname -a` or `ver`:  
   `Darwin MacBook-Pro-de-bruno-2.local 19.3.0 Darwin Kernel Version 19.3.0: Thu Jan  9 20:58:23 PST 2020; root:xnu-6153.81.5~1/RELEASE_X86_64 x86_64`
   
    - Output of `java -version`:
   ```
   openjdk version "11.0.6" 2020-01-14
   OpenJDK Runtime Environment GraalVM CE 20.0.0 (build 11.0.6+9-jvmci-20.0-b02)
   OpenJDK 64-Bit Server VM GraalVM CE 20.0.0 (build 11.0.6+9-jvmci-20.0-b02, mixed mode, sharing)
   ```
   
    - GraalVM version (if different from Java):
   `GraalVM CE 20.0.0`
   
    - Quarkus version or git rev:
   `1.2.1.Final`
   
    - Build tool (ie. output of `mvnw --version` or `gradlew --version`):
   `Apache Maven 3.6.1 (d66c9c0b3152b2e69ee9bac180bb8fcc8e6af555; 2019-04-04T16:00:29-03:00)`
   
   **Additional context**
   A friend also tried to compile for image-native and also failed ...
   
   In his case it was with Java 8 with GraalVM 19.3.1
   
    ![image text](https://i.ibb.co/JHBwbHR/058a3e6c-6fb1-43c2-b945-8bedce60e8bd.jpg)
   

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
[hidden email]


With regards,
Apache Git Services
Reply | Threaded
Open this post in threaded view
|

[GitHub] [camel-quarkus] lburgazzoli commented on issue #870: camel-quarkus-aws-sns failing to compile image-native

GitBox
lburgazzoli commented on issue #870: camel-quarkus-aws-sns failing to compile image-native
URL: https://github.com/apache/camel-quarkus/issues/870#issuecomment-597487485
 
 
   Can you try with GraalVM 19.2.1 and Java 8 ?
   As far as I remember that is the recommended version for Quarkus 1.2.x  

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
[hidden email]


With regards,
Apache Git Services
Reply | Threaded
Open this post in threaded view
|

[GitHub] [camel-quarkus] oscerd commented on issue #870: camel-quarkus-aws-sns failing to compile image-native

GitBox
In reply to this post by GitBox
oscerd commented on issue #870: camel-quarkus-aws-sns failing to compile image-native
URL: https://github.com/apache/camel-quarkus/issues/870#issuecomment-597494194
 
 
   I'll have a look but it looks like you're mixing version

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
[hidden email]


With regards,
Apache Git Services
Reply | Threaded
Open this post in threaded view
|

[GitHub] [camel-quarkus] brunotitata commented on issue #870: camel-quarkus-aws-sns failing to compile image-native

GitBox
In reply to this post by GitBox
brunotitata commented on issue #870: camel-quarkus-aws-sns failing to compile image-native
URL: https://github.com/apache/camel-quarkus/issues/870#issuecomment-597632132
 
 
   > Can you try with GraalVM 19.2.1 and Java 8 ?
   > As far as I remember that is the recommended version for Quarkus 1.2.x
   
   @lburgazzoli  @oscerd  I'll try it later with GraalVM 19.2.1 and come back here to post the result.
   
   can I try with Java 11 tbm, or just with Java 8 ??

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
[hidden email]


With regards,
Apache Git Services
Reply | Threaded
Open this post in threaded view
|

[GitHub] [camel-quarkus] ppalaga commented on issue #870: camel-quarkus-aws-sns failing to compile image-native

GitBox
In reply to this post by GitBox
ppalaga commented on issue #870: camel-quarkus-aws-sns failing to compile image-native
URL: https://github.com/apache/camel-quarkus/issues/870#issuecomment-604048106
 
 
   Any update @brunotitata ?

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
[hidden email]


With regards,
Apache Git Services